## org.apache.myfaces.custom.tabbedpane
Class HtmlTabbedPaneRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.custom.tabbedpane.HtmlTabbedPaneRenderer

public class HtmlTabbedPaneRenderer
extends HtmlRenderer

Version:
  $Revision: 239380 $ $Date: 2005-08-23 05:11:59 -0400 (Tue, 23 Aug 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mmarinschek $)

Constructor Summary
`HtmlTabbedPaneRenderer()`

Method Summary
`void` `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` `encodeChildren(javax.faces.context.FacesContext facescontext, javax.faces.component.UIComponent uicomponent)`
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`protected java.lang.String` `getActiveHeaderClasses(HtmlPanelTabbedPane tabbedPane)`
`protected java.lang.String` `getDefaultActiveHeaderStyleClass(HtmlPanelTabbedPane tabbedPane, javax.faces.context.FacesContext facesContext)`
`protected java.lang.String` `getHeaderCellID(HtmlPanelTab tab, javax.faces.context.FacesContext facesContext)`
`protected java.lang.String` `getHeaderCellsIDsVar(HtmlPanelTabbedPane tabbedPane, javax.faces.context.FacesContext facesContext)`
`protected java.lang.String` `getInactiveHeaderClasses(HtmlPanelTabbedPane tabbedPane)`
`boolean` `getRendersChildren()`
`protected java.lang.String` `getTabIndexSubmitFieldIDAndName(HtmlPanelTabbedPane tabbedPane, javax.faces.context.FacesContext facesContext)`
`protected java.lang.String` `getTableStylableId(HtmlPanelTabbedPane tabbedPane, javax.faces.context.FacesContext facesContext)` As the colon (:) can't be used in CSS, transforms the id to make it safe to use for CSS.
`protected java.lang.String` `getTabsIDsVar(HtmlPanelTabbedPane tabbedPane, javax.faces.context.FacesContext facesContext)`
`protected boolean` `isDisabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`protected void` `writeFormEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext)`
`protected void` `writeFormStart(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent tabbedPane)`
`protected void` `writeHeaderCell(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, HtmlPanelTabbedPane tabbedPane, HtmlPanelTab tab, int tabIndex, int visibleTabIndex, boolean active, boolean disabled)`
`protected void` `writeSubHeaderCells(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, HtmlPanelTabbedPane tabbedPane, int visibleTabCount, int visibleTabSelectedIndex)`
`protected void` `writeTableStart(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, HtmlPanelTabbedPane tabbedPane)`
`protected void` `writeTabsContents(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, HtmlPanelTabbedPane tabbedPane, int selectedIndex)`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlTabbedPaneRenderer

    public HtmlTabbedPaneRenderer()

Method Detail

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent uiComponent)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getRendersChildren

    public boolean getRendersChildren()

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext facescontext,
                               javax.faces.component.UIComponent uicomponent)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `HtmlRenderer`
  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent uiComponent)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent uiComponent)

### writeFormStart

    protected void writeFormStart(javax.faces.context.ResponseWriter writer,
                                  javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent tabbedPane)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### getHeaderCellsIDsVar

    protected java.lang.String getHeaderCellsIDsVar(HtmlPanelTabbedPane tabbedPane,
                                                    javax.faces.context.FacesContext facesContext)

### getTabsIDsVar

    protected java.lang.String getTabsIDsVar(HtmlPanelTabbedPane tabbedPane,
                                             javax.faces.context.FacesContext facesContext)

### getDefaultActiveHeaderStyleClass

    protected java.lang.String getDefaultActiveHeaderStyleClass(HtmlPanelTabbedPane tabbedPane,
                                                                javax.faces.context.FacesContext facesContext)

### getActiveHeaderClasses

    protected java.lang.String getActiveHeaderClasses(HtmlPanelTabbedPane tabbedPane)

### getInactiveHeaderClasses

    protected java.lang.String getInactiveHeaderClasses(HtmlPanelTabbedPane tabbedPane)

### writeTableStart

    protected void writeTableStart(javax.faces.context.ResponseWriter writer,
                                   javax.faces.context.FacesContext facesContext,
                                   HtmlPanelTabbedPane tabbedPane)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### getTableStylableId

    protected java.lang.String getTableStylableId(HtmlPanelTabbedPane tabbedPane,
                                                  javax.faces.context.FacesContext facesContext)

  As the colon (:) can't be used in CSS, transforms the id to make it safe to use for CSS.

### getTabIndexSubmitFieldIDAndName

    protected java.lang.String getTabIndexSubmitFieldIDAndName(HtmlPanelTabbedPane tabbedPane,
                                                               javax.faces.context.FacesContext facesContext)

### getHeaderCellID

    protected java.lang.String getHeaderCellID(HtmlPanelTab tab,
                                               javax.faces.context.FacesContext facesContext)

### writeHeaderCell

    protected void writeHeaderCell(javax.faces.context.ResponseWriter writer,
                                   javax.faces.context.FacesContext facesContext,
                                   HtmlPanelTabbedPane tabbedPane,
                                   HtmlPanelTab tab,
                                   int tabIndex,
                                   int visibleTabIndex,
                                   boolean active,
                                   boolean disabled)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeSubHeaderCells

    protected void writeSubHeaderCells(javax.faces.context.ResponseWriter writer,
                                       javax.faces.context.FacesContext facesContext,
                                       HtmlPanelTabbedPane tabbedPane,
                                       int visibleTabCount,
                                       int visibleTabSelectedIndex)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeTabsContents

    protected void writeTabsContents(javax.faces.context.ResponseWriter writer,
                                     javax.faces.context.FacesContext facesContext,
                                     HtmlPanelTabbedPane tabbedPane,
                                     int selectedIndex)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeFormEnd

    protected void writeFormEnd(javax.faces.context.ResponseWriter writer,
                                javax.faces.context.FacesContext facesContext)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### isDisabled

    protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent uiComponent)